﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using Telerik.Charting;
using Telerik.Charting.Styles;
using Telerik.Web.UI;

namespace WebApp
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Page.IsPostBack)
                return;

            int numOfItems = 15;
            chart.PlotArea.XAxis.AutoScale = false;
            chart.PlotArea.XAxis.MinValue = 0;
            chart.PlotArea.XAxis.MaxValue = numOfItems - 1;

            var data = GetTestData(numOfItems, 1);

            var series = new ChartSeries { DataXColumn = "X", DataYColumn = "Y", Type = ChartSeriesType.Bar };
            series.Appearance.ShowLabels = false;
            this.chart.Series.Add(series);

            this.chart.Legend.Visible = false;

            this.chart.SeriesOrientation = ChartSeriesOrientation.Horizontal;

            chart.PlotArea.Appearance.Dimensions.AutoSize = false;

            chart.ChartTitle.Appearance.Dimensions.AutoSize = false;
            chart.ChartTitle.Appearance.Dimensions.Height =
                new Unit(24, UnitType.Pixel);
            chart.ChartTitle.Appearance.Dimensions.Margins.Top = 0;

            chart.PlotArea.Appearance.Dimensions.Margins.Top =
                new Unit(24 + 15, UnitType.Pixel);
            chart.PlotArea.Appearance.Dimensions.Margins.Bottom =
                new Unit(65, UnitType.Pixel);
            chart.PlotArea.Appearance.Dimensions.Height =
                new Unit(numOfItems * 25, UnitType.Pixel);

            chart.Appearance.Dimensions.Height =
                numOfItems * 25 + 24 + 15 + 65;


            chart.ChartTitle.Appearance.Dimensions.Width =
                new Unit(100, UnitType.Pixel);
            double marginsLeftRight = 50;
            double plotAreaWidth = 600.0;
            chart.PlotArea.Appearance.Dimensions.Margins.Left =
                new Unit(marginsLeftRight, UnitType.Pixel);
            chart.PlotArea.Appearance.Dimensions.Margins.Right =
                new Unit(marginsLeftRight, UnitType.Pixel);
            chart.PlotArea.Appearance.Dimensions.Width = new Unit(plotAreaWidth);

            chart.Width = new System.Web.UI.WebControls.Unit(
                plotAreaWidth + 2 * marginsLeftRight, System.Web.UI.WebControls.UnitType.Pixel);

            this.chart.DataSource = data;
            this.chart.DataBind();
        }

        private static DataTable GetTestData(int dataItemsCount, int seriesCount)
        {
            var dt = new DataTable();

            dt.Columns.Add("X", typeof(double));
            dt.Columns.Add("Y", typeof(double));

            for (int i = 0; i < dataItemsCount; i++)
            {
                var dr = dt.NewRow();

                dr["X"] = i;
                dr["Y"] = rnd.Next(10, 100);

                dt.Rows.Add(dr);
            }

            return dt;
        }

        private static readonly Random rnd = new Random(123);
    }


}